Skip to content
Start here

List origin cloud region mappings

client.Cache.OriginCloudRegions.List(ctx, query) (*OriginCloudRegionListResponse, error)
GET/zones/{zone_id}/cache/origin_cloud_regions

Returns all IP-to-cloud-region mappings configured for the zone. Each mapping tells Cloudflare which cloud vendor and region hosts the origin at that IP, enabling the edge to route via the nearest Tiered Cache upper-tier co-located with that cloud provider. Returns an empty array when no mappings exist.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
query OriginCloudRegionListParams
ZoneID param.Field[string]Optional

Identifier.

maxLength32
ReturnsExpand Collapse
type OriginCloudRegionListResponse struct{…}

Response result for a list of origin cloud region mappings.

ID OriginCloudRegionListResponseID
Editable bool

Whether the setting can be modified by the current user.

OriginIP string

The origin IP address (IPv4 or IPv6, canonicalized).

Region string

Cloud vendor region identifier.

Vendor OriginCloudRegionVendor

Cloud vendor hosting the origin.

One of the following:
const OriginCloudRegionVendorAws OriginCloudRegionVendor = "aws"
const OriginCloudRegionVendorAzure OriginCloudRegionVendor = "azure"
const OriginCloudRegionVendorGcp OriginCloudRegionVendor = "gcp"
const OriginCloudRegionVendorOci OriginCloudRegionVendor = "oci"
ModifiedOn TimeOptional

Time this mapping was last modified.

formatdate-time
ModifiedOn TimeOptional

Time the mapping set was last modified. Null when no mappings exist.

formatdate-time

List origin cloud region mappings

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/cache"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  originCloudRegions, err := client.Cache.OriginCloudRegions.List(context.TODO(), cache.OriginCloudRegionListParams{
    ZoneID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", originCloudRegions.ID)
}
{
  "errors": [],
  "messages": [],
  "result": {
    "editable": true,
    "id": "origin_public_cloud_region",
    "modified_on": null,
    "value": []
  },
  "success": true
}
{
  "errors": [],
  "messages": [],
  "result": {
    "editable": true,
    "id": "origin_public_cloud_region",
    "modified_on": "2026-03-01T12:00:00Z",
    "value": [
      {
        "modified_on": "2026-03-01T12:00:00Z",
        "origin-ip": "192.0.2.1",
        "region": "us-east-1",
        "vendor": "aws"
      },
      {
        "modified_on": "2026-03-01T12:00:00Z",
        "origin-ip": "2001:db8::1",
        "region": "us-central1",
        "vendor": "gcp"
      }
    ]
  },
  "success": true
}
Returns Examples
{
  "errors": [],
  "messages": [],
  "result": {
    "editable": true,
    "id": "origin_public_cloud_region",
    "modified_on": null,
    "value": []
  },
  "success": true
}
{
  "errors": [],
  "messages": [],
  "result": {
    "editable": true,
    "id": "origin_public_cloud_region",
    "modified_on": "2026-03-01T12:00:00Z",
    "value": [
      {
        "modified_on": "2026-03-01T12:00:00Z",
        "origin-ip": "192.0.2.1",
        "region": "us-east-1",
        "vendor": "aws"
      },
      {
        "modified_on": "2026-03-01T12:00:00Z",
        "origin-ip": "2001:db8::1",
        "region": "us-central1",
        "vendor": "gcp"
      }
    ]
  },
  "success": true
}